## landscape-client 16.03

=== Makefile ===
PYDOCTOR ?= pydoctor
TXT2MAN ?= txt2man 
PYTHON ?= python
TRIAL_ARGS ?= 
TEST_COMMAND = trial --unclean-warnings $(TRIAL_ARGS) landscape
UBUNTU_RELEASE := $(shell lsb_release -cs)
# version in the code is authoritative
# Use := here, not =, it's really important, otherwise UPSTREAM_VERSION
# will be updated behind your back with the current result of that
# command everytime it is mentioned/used.
UPSTREAM_VERSION := $(shell python -c "from landscape import UPSTREAM_VERSION; print UPSTREAM_VERSION")
CHANGELOG_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -f 2 -d " " | cut -f 1 -d '-')
BZR_REVNO := $(shell bzr revno)
ifeq (+bzr,$(findstring +bzr,$(UPSTREAM_VERSION)))
TARBALL_VERSION := $(UPSTREAM_VERSION)
else
TARBALL_VERSION := $(UPSTREAM_VERSION)+bzr$(BZR_REVNO)
endif

all: build

build:
	$(PYTHON) setup.py build_ext -i

check: build
	@if [ -z "$$DBUS_SESSION_BUS_ADDRESS" ]; then \
		OUTPUT=`dbus-daemon --print-address=1 --print-pid=1 --session --fork`; \
		export DBUS_SESSION_BUS_ADDRESS=`echo $$OUTPUT | cut -f1 -d ' '`; \
		DBUS_PID=`echo $$OUTPUT | cut -f2 -d ' '`; \
		trap "kill $$DBUS_PID" EXIT; \
	fi; \
	if [ -z "$$DISPLAY" ]; then \
		xvfb-run $(TEST_COMMAND); \
	else \
	    $(TEST_COMMAND); \
	fi

lint:
	bzr ls-lint

pyflakes:
	-pyflakes `find landscape -name \*py|grep -v twisted_amp\.py|grep -v configobj\.py|grep -v mocker\.py`

clean:
	-find landscape -name \*.pyc -exec rm -f {} \;
	-rm tags
	-rm _trial_temp -rf
	-rm docs/api -rf;
	-rm man/\*.1 -rf
	-rm sdist -rf

doc: docs/api/twisted/pickle
	mkdir -p docs/api
	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape --extra-system=docs/api/twisted/pickle:twisted/

docs/api/twisted/pickle:
	mkdir -p docs/api/twisted
	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle

manpages:
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-client < man/landscape-client.txt > man/landscape-client.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-config < man/landscape-config.txt > man/landscape-config.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-message < man/landscape-message.txt > man/landscape-message.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-sysinfo < man/landscape-sysinfo.txt > man/landscape-sysinfo.1

origtarball: sdist
	cp -f sdist/landscape-client-$(TARBALL_VERSION).tar.gz \
		../landscape-client_$(TARBALL_VERSION).orig.tar.gz

prepchangelog:
# add a temporary entry for a local build if needed
ifeq (,$(findstring +bzr,$(CHANGELOG_VERSION)))
	dch -v $(TARBALL_VERSION)-0ubuntu0 "New local test build" --distribution $(UBUNTU_RELEASE)
else
# just update the timestamp
	dch --distribution $(UBUNTU_RELEASE) --release $(UBUNTU_RELEASE)
endif

updateversion:
	sed -i -e "s/^UPSTREAM_VERSION.*/UPSTREAM_VERSION = \"$(TARBALL_VERSION)\"/g" \
		landscape/__init__.py

package: clean prepchangelog updateversion
	debuild -b $(DEBUILD_OPTS)

sourcepackage: clean origtarball prepchangelog updateversion
	# need to remove sdist here because it doesn't exist in the
	# orig tarball
	rm -rf sdist
	debuild -S $(DEBUILD_OPTS)

MESSAGE_DIR = `pwd`/runclient-messages
LOG_FILE = `pwd`/runclient.log

freshdata:
	-sudo rm -rf $(MESSAGE_DIR)
	-sudo mkdir $(MESSAGE_DIR)

run:
	-sudo ./landscape-client \
		-a onward -t "John's PC" \
		-u http://localhost:8080/message-system \
		-d $(MESSAGE_DIR) \
		--urgent-exchange-interval=5 \
		--log-level=debug \
		--ping-url=http://localhost:8081/ping \

freshrun: freshdata run

tags:
	-ctags --languages=python -R .

etags:
	-etags --languages=python -R .

releasetarball:
	make sdist TARBALL_VERSION=$(UPSTREAM_VERSION)

sdist: clean
	mkdir -p sdist
	# --uncommitted because we want any changes the developer might have made
	# locally to be included in the package without having to commit
	bzr export --uncommitted sdist/landscape-client-$(TARBALL_VERSION)
	rm -rf sdist/landscape-client-$(TARBALL_VERSION)/debian
	sed -i -e "s/^UPSTREAM_VERSION.*/UPSTREAM_VERSION = \"$(TARBALL_VERSION)\"/g" \
		sdist/landscape-client-$(TARBALL_VERSION)/landscape/__init__.py
	cd sdist && tar cfz landscape-client-$(TARBALL_VERSION).tar.gz landscape-client-$(TARBALL_VERSION)
	cd sdist && md5sum landscape-client-$(TARBALL_VERSION).tar.gz > landscape-client-$(TARBALL_VERSION).tar.gz.md5
	rm -rf sdist/landscape-client-$(TARBALL_VERSION)

.PHONY: tags etags freshdata run freshrun package sourcepackage updateversion origtarball prepchangelog lint build check releasetarball

=== debian/changelog ===
landscape-client (16.03-0ubuntu2.16.04.8) xenial; urgency=medium

  * d/p/1886491-trusted-local.patch: (LP: #1886491)
    Backport implicit trust of file sources created by landscape.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 07 Jul 2020 17:26:43 -0400

landscape-client (16.03-0ubuntu2.16.04.7) xenial; urgency=medium

  * d/p/product-name-vminfo-1828217.patch: Add product_name to things scanned
    for vm_info (LP: #1828217)
  * d/landscape-client.postinst: Set default value if data_path is
    missing. (LP: #1728681)
  * d/p/stagger-launch-1788518.patch: Add option to stagger launch of broker
    plugins. (LP: #1788518)
  * d/landscape-client.init: Fix init script stop action (LP: #1833137)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 28 Jun 2019 12:18:32 -0400

landscape-client (16.03-0ubuntu2.16.04.6) xenial; urgency=medium

  * debian/patches/mem-usage-1685885.patch: Reduce memory usage by
    unused twisted logs. (LP: #1685885)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 08 Feb 2019 12:02:17 -0500

landscape-client (16.03-0ubuntu2.16.04.5) xenial; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (16.03-0ubuntu2.16.04.4) xenial; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 21:15:45 +0000

landscape-client (16.03-0ubuntu2.16.04.3) xenial; urgency=medium

  * d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
    Sets vm_info to kvm for new AWS EC2 C5 instances. (LP: #1742531)

  * d/p/set-vm-info-to-kvm-for-digitalocean-instances.patch:
    Sets vm_info to kvm for digitalocean instances. (LP: #1743232)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 23 Jan 2018 10:53:42 -0500

landscape-client (16.03-0ubuntu2.16.04.2) xenial; urgency=medium

  [ Simon Poirier ]
  * Add proxy handling to package reporter. (LP: #1531150)
  * Fix regression in configuration hook under install-cd chroot (LP: #1699789)
  * Report autoremovable packages (LP: #1208393)
  * No not re-register client by default (LP: #1618483)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Nov 2017 16:09:30 -0200

landscape-client (16.03-0ubuntu2.16.04.1) xenial; urgency=medium

  * Don't report packages that are coming from backports, so that Landscape
    doesn't try to upgrade to versions of packages that are in backports.
    (LP: #1668583)

 -- Bjorn Tillenius <bjorn@canonical.com>  Mon, 20 Mar 2017 10:25:40 +0000

landscape-client (16.03-0ubuntu2) xenial; urgency=medium

  * Cope with an api change in python-swift that broke swift storage
    reporting in Autopilot. (LP: #1563565)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 05 Apr 2016 09:15:40 -0300

landscape-client (16.03-0ubuntu1) xenial; urgency=medium

  * New upstream release 16.03:
    - Drop UI packages for xenial (LP: #1557502)
    - Fix xenial test failures (LP: #1548946, #1551892)
    - Fix curl test failures (LP: #1462427)
    - Fix user listing on server (LP: #1508110, #1532887, #1508110, #1508110)
    - Add support for s390x CPU arch (LP: #1541074)
    - Fix creating a file before the parent directory exists (LP: #1546743)
    - Add more information about ssl errors during registation (LP: #1409700)
    - Retry apt-get update on errors (LP: #1398090)
    - Better SSL error and user interaction
    - Don't retry package operations in the case of a system error
      (LP: #1444419)
    - Fix container detection under systemd (LP: #1449920)
  * Removed patches already applied upstream: fix-users-reporting-take2.patch,
    s390x-support.patch and bug-1508110-resync-users-on-upgrade.patch

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 21 Mar 2016 16:29:27 -0300

landscape-client (14.12-0ubuntu6) xenial; urgency=medium

  * Trigger a resync of user information upon upgrades. (LP: #1508110)
  * Create data directory ahead of time. (LP: #1546743)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 02 Mar 2016 11:09:48 -0300

landscape-client (14.12-0ubuntu5) xenial; urgency=medium

  * Cherrypick upstream s390x support. LP: #1541074

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Feb 2016 10:36:36 +0000

landscape-client (14.12-0ubuntu4) xenial; urgency=medium

  * Added patch fix-users-reporting-take2.patch to really fix the problem
    this time. (LP: #1508110)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 18 Jan 2016 09:35:00 -0200

landscape-client (14.12-0ubuntu3) xenial; urgency=medium

  * Drop fix-users-reporting patch as it was causing other problems.
    (LP: #1532887)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 11 Jan 2016 16:02:06 -0200

landscape-client (14.12-0ubuntu2) xenial; urgency=medium

  * Add debian/pathes/fix-users-reporting.patch for fixing a
    regression in users reporting (LP: #1508110)

 -- Free Ekanayaka <free.ekanayaka@canonical.com>  Wed, 16 Dec 2015 08:34:00 +0100

landscape-client (14.12-0ubuntu1) vivid; urgency=medium

  * New upstream version:
    - Fix platform detection on POWER machines (LP: #1271615)
    - Fix platform detection for arm64 machines (LP: #1306824)
    - Added a mechanism to set the client's user-agent (LP: #1399139)
    - Fixed release-upgrader not asking for a seesion ID before attempting to


=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper (>= 7), po-debconf, python-dev, lsb-release, gawk, python-twisted-core, python-distutils-extra
Standards-Version: 3.8.2
XS-Python-Version: >= 2.4, << 2.8

Package: landscape-common
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-core,
         python-configobj,
         python-apt,
         ca-certificates,
         python-gdbm,
         lsb-release,
         lsb-base,
         adduser,
         bc,
         lshw,
         libpam-modules
Suggests: ${extra:Suggests}
# added/changed when we moved the sysinfo manpage from client to common
# in r582. There is no accompaining "Breaks" because -client requires
# the exact same version of -common, which will trigger the upgrade
# and avoid the case discussed in
# http://www.debian.org/doc/debian-policy/footnotes.html#f53
Replaces: landscape-client (<< 12.09+bzr582)
Description: The Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries.
XB-Python-Version: ${python:Versions}

Package: landscape-client
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         python-twisted-web,
         python-pycurl,
         landscape-common (= ${binary:Version})
Replaces: landscape-client-ui, landscape-client-ui-install
Conflicts: landscape-client-ui, landscape-client-ui-install
Suggests: ${extra:Suggests}
Description: The Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.
XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f

dist_release := $(shell lsb_release -cs)
ifneq ($(dist_release),dapper)
	use_pycentral = yes
endif
ifeq (,$(filter $(dist_release), hardy lucid))
	use_dhpython2 = yes
endif

dh_extra_flags = -plandscape-common -plandscape-client

-include /usr/share/python/python.mk
ifeq (,$(py_sitename))
	py_sitename = site-packages
	py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
	py_sitename_sh = $(py_sitename)
	py_libdir_sh = $(py_libdir)
endif

package = landscape-client
root_dir = debian/tmp/

revision = $(shell dpkg-parsechangelog | grep ^Version | cut -f 2 -d " "| cut -f 2 -d "-")

landscape_common_substvars = debian/landscape-common.substvars
landscape_client_substvars = debian/landscape-client.substvars

build-arch: build

build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	sed -i -e "s/^DEBIAN_REVISION = \"\"/DEBIAN_REVISION = \"-$(revision)\"/g" landscape/__init__.py
	python setup.py build
	make -C apt-update
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build
	make -C apt-update clean
	dh_clean
	sed -i -e "s/^DEBIAN_REVISION = .*/DEBIAN_REVISION = \"\"/g" landscape/__init__.py

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs \
		etc/landscape \
		var/lib/landscape \
		var/log/landscape \
		usr/share/landscape

	python setup.py install --root $(root_dir) $(py_setup_install_args)

	# Keep in mind that some installed files are defined in setup.py
	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(root_dir)/usr/share/landscape/landscape-sysinfo.wrapper
	install -D -o root -g root -m 755 apt-update/apt-update $(root_dir)/usr/lib/landscape/apt-update

binary-indep:
# do nothing
#
binary-arch: build install
	dh_lintian
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_install --sourcedir debian/tmp/
	dh_installinit -- start 45 2 3 4 5 . stop 15 0 1 6 .
	dh_installlogrotate
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps

# from quantal onwards, we don't want python-gnupginterface anymore (#1045237)
ifneq (,$(filter $(dist_release),lucid precise))
	echo "extra:Depends=python-gnupginterface" >> $(landscape_common_substvars)
endif

ifeq ($(use_dhpython2),yes)
	dh_python2 --no-guessing-versions
else
    ifeq ($(use_pycentral),yes)
        ifneq (,$(py_setup_install_args))
			DH_PYCENTRAL=include-links dh_pycentral
        else
			DH_PYCENTRAL=nomove dh_pycentral
        endif
    else
		dh_python
    endif
endif
	dh_installdeb $(dh_extra_flags)
	dh_gencontrol $(dh_extra_flags)
	dh_md5sums $(dh_extra_flags)
	dh_builddeb $(dh_extra_flags)


binary: binary-arch binary-indep

.PHONY: binary binary-arch binary-indep clean

## landscape-client 18.01

=== Makefile ===
PYDOCTOR ?= pydoctor
TXT2MAN ?= txt2man
PYTHON2 ?= python2
PYTHON3 ?= python3
TRIAL ?= $(shell which trial)
TRIAL_ARGS ?=

.PHONY: help
help:  ## Print help about available targets
	@grep -h -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

.PHONY: depends
depends: depends2 depends3  ## Install py2 and py3 dependencies.
	sudo apt -y install python3-flake8 python3-coverage

.PHONY: depends2
depends2:
	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj

.PHONY: depends3
depends3:
	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj

all: build

.PHONY: build
build: build2 build3   ## Build.

.PHONY: build2
build2:
	$(PYTHON2) setup.py build_ext -i

.PHONY: build3
build3:
	$(PYTHON3) setup.py build_ext -i

.PHONY: check
check: check2 check3  ## Run all the tests.

.PHONY: check2
check2: build2
	PYTHONPATH=$(PYTHONPATH):$(CURDIR) LC_ALL=C $(PYTHON2) $(TRIAL) --unclean-warnings $(TRIAL_ARGS) landscape

# trial3 does not support threading via `-j` at the moment
# so we ignore TRIAL_ARGS.
# TODO: Respect $TRIAL_ARGS once trial3 is fixed.
.PHONY: check3
check3: TRIAL_ARGS=
check3: build3
	PYTHONPATH=$(PYTHONPATH):$(CURDIR) LC_ALL=C $(PYTHON3) $(TRIAL) --unclean-warnings $(TRIAL_ARGS) landscape

.PHONY: coverage
coverage:
	PYTHONPATH=$(PYTHONPATH):$(CURDIR) LC_ALL=C $(PYTHON3) -m coverage run $(TRIAL) --unclean-warnings landscape

.PHONY: ci-check
ci-check: depends build check  ## Install dependencies and run all the tests.

.PHONY: lint
lint:
	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265 \
		`find landscape -name \*.py`

.PHONY: pyflakes
pyflakes:
	-pyflakes `find landscape -name \*.py`

clean:
	-find landscape -name __pycache__ -exec rm -rf {} \;
	-find landscape -name \*.pyc -exec rm -f {} \;
	-rm -rf .coverage
	-rm -rf tags
	-rm -rf _trial_temp
	-rm -rf docs/api
	-rm -rf man/\*.1
	-rm -rf sdist

doc: docs/api/twisted/pickle
	mkdir -p docs/api
	${PYDOCTOR} --make-html --html-output docs/api --add-package landscape --extra-system=docs/api/twisted/pickle:twisted/

docs/api/twisted/pickle:
	mkdir -p docs/api/twisted
	-${PYDOCTOR} --make-html --html-output docs/api/twisted --add-package /usr/share/pyshared/twisted -o docs/api/twisted/pickle

manpages:
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-client < man/landscape-client.txt > man/landscape-client.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-config < man/landscape-config.txt > man/landscape-config.1
	LC_ALL=C ${TXT2MAN} -P Landscape -s 1 -t landscape-sysinfo < man/landscape-sysinfo.txt > man/landscape-sysinfo.1

MESSAGE_DIR = `pwd`/runclient-messages
LOG_FILE = `pwd`/runclient.log

.PHONY: freshdata
freshdata:
	-sudo rm -rf $(MESSAGE_DIR)
	-sudo mkdir $(MESSAGE_DIR)

.PHONY: run
run:
	-sudo ./landscape-client \
		-a onward -t "John's PC" \
		-u http://localhost:8080/message-system \
		-d $(MESSAGE_DIR) \
		--urgent-exchange-interval=5 \
		--log-level=debug \
		--ping-url=http://localhost:8081/ping \

.PHONY: freshrun
freshrun: freshdata run

.PHONY: tags
tags:
	-ctags --languages=python -R .

.PHONY: etags
etags:
	-etags --languages=python -R .

include Makefile.packaging

.DEFAULT_GOAL := help

=== debian/changelog ===
landscape-client (18.01-0ubuntu3.6) bionic; urgency=medium

  * d/p/1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 17 Nov 2020 19:06:42 -0500

landscape-client (18.01-0ubuntu3.5) bionic; urgency=medium

  * d/p/apt-pulse-1758529.patch:
    Override the apt progress pulse (LP: #1758529)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 20 Feb 2020 17:35:22 +0000

landscape-client (18.01-0ubuntu3.4) bionic; urgency=medium

  * d/p/product-name-vminfo-1828217.patch: Add product_name to things scanned
    for vm_info (LP: #1828217)
  * d/landscape-client.postinst: Set default value if data_path is
    missing. (LP: #1728681)
  * d/p/stagger-launch-1788518.patch: Add option to stagger launch of broker
    plugins. (LP: #1788518)
  * d/landscape-client.init: Fix init script stop action (LP: #1833137)

 -- Simon Poirier <simon.poirier@canonical.com>  Thu, 27 Jun 2019 11:07:30 -0400

landscape-client (18.01-0ubuntu3.3) bionic; urgency=medium

  * debian/patches/mem-usage-1685885.patch: Reduce memory usage by
    unused twisted logs. (LP: #1685885)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 08 Feb 2019 12:02:17 -0500

landscape-client (18.01-0ubuntu3.2) bionic; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade:
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/unicode-tags-script.patch: Permit environments
    containing unicode chars for script execution. (LP: #1765518)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 27 Nov 2018 09:24:22 -0500

landscape-client (18.01-0ubuntu3.1) bionic; urgency=medium

  * d/p/apt-sources-replace-1771443.patch: 
    - Handle unicode in apt-sources-replace (LP: #1771443)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 18 May 2018 15:29:00 +0000

landscape-client (18.01-0ubuntu3) bionic; urgency=medium

  * d/p/detect-cloudstack-kvm-1754073.patch: Detect CloudStack
    kvm hypervisor (LP: #1754073)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 26 Mar 2018 20:21:49 +0000

landscape-client (18.01-0ubuntu2) bionic; urgency=medium

  * debian/patches/remove-landscape-link.patch: Remove the landscape url
    from motd output. (LP: #1753936)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 07 Mar 2018 10:04:45 +0100

landscape-client (18.01-0ubuntu1) bionic; urgency=medium

  * New upstream release 18.01:
    - Ported to python3 (LP: #1577850)
    - move Replaces/Breaks landscape-client-ui rules to landscape-common
      (LP: #1560424)
    - Add a libpam-systemd Depends if built for xenial (LP: #1590838)
    - Some units not reporting swift usage (LP: #1588404)
    - Fix missing install directories for landscape-common and drop
      usr/share/landscape as its only used and created by landscape-client.
      (LP: #1680842)
    - Fix VM detection for Xen, by returning "xen" only for paravirtualized and
      HVM hosts, not for dom0. (LP: #1601818)
    - Add an indication of truncation to process output that has been truncated
      prior to delivery to the server. (LP: #1629000)
    - add /snap/bin to the PATH when executing scripts. (LP: #1635634)
    - Save the original sources.list file when a repository profile is
      associated with a computer and restore it when the profile is removed.
      (LP: #1607529)
    - Drop the legacy HAService plugin, which is no longer used.
    - Avoid double-decoding package descriptions in build_skeleton_apt, which
      causes an error with Xenial python-apt. (LP: #1655395)
    - Remove dead dbus code and textmessage (confirmed not supported in server
      for ~2 years). (LP: #1657372)
    - Move bzr-builddeb conf file from deprecated location to debian/
      (LP: #1658796)
    - Support for new server error message about there being too many pending
      computers already (LP: #1662530)
    - Add a timestamp to the package reporter result (LP: #1674252)
    - Check if ubuntu-release-upgrader is running before apt-update (LP: #1699179)
    - Implicitly trust file-local sources managed by landscape. On upgrades,
      add the trusted flag to the landscape file-local apt source file if it's
      not there. (LP: #1736576)
    - Use local system tools to change the user's password (LP: #1743558)
  * clean up packaging and getting in sync with the new landscape version:
    - d/rules: drop extra:suggests which is unused since 13.07.1-0ubuntu2
    - Remove antique postinst code. No supported landscape-client version
      installs cronjobs anymore (since a long time).
    - d/landscape-client.docs: the README file is now a markdown file, so
      install that instead.
    - d/landscape-common.postinst: no need to single out
      /var/lib/landscape/.gnupg when fixing ownerships, just do it over
      the entire parent directory.
    - guard user and group removal via an empty .cleanup.* file in post, so we
      only remove the user/group if we were the ones who created them at
      install time.
    - lintian: remove absolute path from update-motd calls in maintainer
      scripts
    - d/rules: drop special handling for dapper, hardy and lucid, which are no
      longer supported.
    - d/rules: make sure we have an "extra:Depends=" in substvars even if it's
      empty
    - d/rules: drop dh_pycentral handling, it's obsolete
  * Dropped (already included in this version):
    - d/p/set-vm-info-to-kvm-for-aws-C5-instances.patch:
      Sets vm_info to kvm for new AWS EC2 C5 instances. (LP #1742531)


=== debian/control ===
Source: landscape-client
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
Build-Depends: debhelper (>= 7), po-debconf, libdistro-info-perl,
               dh-python, python3-dev, python3-distutils-extra,
               lsb-release, gawk
Standards-Version: 3.8.2
X-Python3-Version: >= 3.5

Package: landscape-common
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${extra:Depends},
         python3-twisted,
         python3-configobj,
         python3-apt,
         ca-certificates,
         python3-gdbm,
         lsb-release,
         lsb-base,
         adduser,
         bc,
         lshw,
         libpam-modules
Breaks: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
Replaces: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
Description: Landscape administration system client - Common files
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the core libraries, as well as the landscape-sysinfo
 command.  It also sets up the landscape user, landscape directories, and the
 hook that runs landscape-sysinfo on startup.

Package: landscape-client
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${extra:Depends},
         ${shlibs:Depends},
         landscape-common (= ${binary:Version}),
         python3-pycurl,
Description: Landscape administration system client
 Landscape is a web-based tool for managing Ubuntu systems. This
 package is necessary if you want your machine to be managed in a
 Landscape account.
 .
 This package provides the Landscape client and requires a Landscape account.

=== debian/watch ===
version=3
https://launchpad.net/landscape-client/+download  https://launchpad.net/landscape-client/[^/]+/[^/]+/\+download/landscape-client-(.*)\.tar\.(?:bz2|gz)

## landscape-client 19.12

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 
 .PHONY: depends2
 depends2:
-	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj
+	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces
 
 .PHONY: depends3
 depends3:
-	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj
+	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces
 
 all: build
 
@@ -58,7 +58,7 @@
 
 .PHONY: lint
 lint:
-	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265 \
+	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265,W504 \
 		`find landscape -name \*.py`
 
 .PHONY: pyflakes

=== debian/changelog ===
landscape-client (19.12-0ubuntu4) focal; urgency=medium

  * d/p/0002-lp1870087-stale-locks.patch:
    Clean stale twisted lock files (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 14 Apr 2020 11:07:41 -0400

landscape-client (19.12-0ubuntu3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:59 +0000

landscape-client (19.12-0ubuntu2) focal; urgency=medium

  * Handle EINVAL error of SIOCETHTOOL ioctl (LP: #1855522)
    The error occurs on WSL (1) and causes an error showing up in MOTD.

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 07 Dec 2019 15:52:03 +0100

landscape-client (19.12-0ubuntu1) focal; urgency=medium

  * New upstream release 19.12:
    - Modernized packaging.
    - Added support for python-apt 1.9
    - Converted init script to systemd service.
    - Set default value if data_path is missing. (LP: #1728681)
    - Sysinfo: add support for multiple IPv6 addresses per interface.
      (LP: #829379)
    - Clear hash id database on package resync. (LP: #1616116)
    - Permit environments containing unicode chars for script execution.
      (LP: #1765518)
    - Set LANG in sysinfo wrapper. (LP: #1780071)
    - Avoid leaking memory through unused twisted logs. (LP: #1685885)
    - Handle unicode apt-sources-replace (LP: #1771443)
    - Add simfs to the whitelist of watched file-systems (LP: #1499104)
    - Return non-blank message when tasks already performed. (LP: #928933)
    - Overrid apt progress pulse(). (LP: #1758529)
    - Improvements on vm_info detection (LP: #1754073) (LP: #1799843)
      (LP: #1828217)
    - Remove the landscape url from motd output by removing LandscapeLink
      from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 04 Dec 2019 14:12:24 +0000

landscape-client (18.03-0ubuntu1) bionic; urgency=medium

  * New trunk build
  * Remove the landscape url from motd output by removing LandscapeLink
    from the list of default landscape-sysinfo plugins. (LP: #1753936)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 01 Mar 2018 11:14:02 -0300

landscape-client (15.06-0ubuntu1) wily; urgency=medium

  * New upstream version (LP: #1461123)
    - Fix container detection on Vivid hosts. (LP: #1449920)
    - Don't retry package operations if a SystemError is raised.
      (LP: #1444826)
    - Retry apt-get update when error 100 is returned. (LP: #1398090)
    - Better SSL error messages. (LP: #1409700)
    - Internal refactoring for better SSL user experience in the future.
      (LP: #1434546, LP: #1429888, LP: #1428826)

 -- David Britton <david.britton@canonical.com>  Tue, 02 Jun 2015 12:13:31 -0600

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
-Build-Depends: debhelper (>= 7), po-debconf, libdistro-info-perl,
+Build-Depends: debhelper (>= 12), po-debconf, libdistro-info-perl,
                dh-python, python3-dev, python3-distutils-extra,
-               lsb-release, gawk
-Standards-Version: 3.8.2
-X-Python3-Version: >= 3.5
+               lsb-release, gawk, dh-systemd (>= 1.3), net-tools,
+               python3-apt, python3-twisted, python3-configobj
+Standards-Version: 4.4.0
+Homepage: https://github.com/CanonicalLtd/landscape-client
 
 Package: landscape-common
 Architecture: any
@@ -17,14 +18,13 @@
          python3-apt,
          ca-certificates,
          python3-gdbm,
+         python3-netifaces,
          lsb-release,
          lsb-base,
          adduser,
          bc,
          lshw,
          libpam-modules
-Breaks: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
-Replaces: landscape-client-ui (<< 16.04), landscape-client-ui-install (<< 16.04)
 Description: Landscape administration system client - Common files
  Landscape is a web-based tool for managing Ubuntu systems. This
  package is necessary if you want your machine to be managed in a

## landscape-client 23.02

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 TXT2MAN ?= txt2man
 PYTHON2 ?= python2
 PYTHON3 ?= python3
-TRIAL ?= $(shell which trial)
+TRIAL ?= -m twisted.trial
 TRIAL_ARGS ?=
 
 .PHONY: help
@@ -10,16 +10,16 @@
 	@grep -h -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
 
 .PHONY: depends
-depends: depends2 depends3  ## Install py2 and py3 dependencies.
-	sudo apt -y install python3-flake8 python3-coverage
+depends: depends3  ## py2 is deprecated
+	sudo apt-get -y install python3-flake8 python3-coverage
 
 .PHONY: depends2
 depends2:
-	sudo apt -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces
+	sudo apt-get -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces python-pycurl
 
 .PHONY: depends3
 depends3:
-	sudo apt -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces
+	sudo apt-get -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces python3-pycurl
 
 all: build
 
@@ -52,9 +52,7 @@
 .PHONY: coverage
 coverage:
 	PYTHONPATH=$(PYTHONPATH):$(CURDIR) LC_ALL=C $(PYTHON3) -m coverage run $(TRIAL) --unclean-warnings landscape
-
-.PHONY: ci-check
-ci-check: depends build check  ## Install dependencies and run all the tests.
+	PYTHONPATH=$(PYTHONPATH):$(CURDIR) LC_ALL=C $(PYTHON3) -m coverage xml
 
 .PHONY: lint
 lint:

=== debian/changelog ===
landscape-client (23.02-0ubuntu1~22.04.6) jammy; urgency=medium

  * d/p/package-reporter-high-cpu.patch: backport fix to reduce CPU usage of
    package-reporter by avoiding creating Origin objects from the Python
    apt package. (LP: #2099283)
  * d/p/parse-lsb-output.patch: backport fix for error raised by package-reporter
    when parsing lsb output and add support for lsb modules. (LP: #2031036)

 -- Jan-Yaeger Dhillon <jan.dhillon@canonical.com>  Fri, 9 May 2025 11:19:45 -0700

landscape-client (23.02-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/p/2087852-feat-manage-ubuntu-sources-glob.patch: include DEB822
    formatted sources when managing apt sources by regex matching .sources
    files (LP: #2087852)

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Fri, 14 Mar 2025 21:11:44 +0000

landscape-client (23.02-0ubuntu1~22.04.4) jammy; urgency=medium

  * d/p/add-non-filtered-interfaces-to-the-api-response.patch: include
    all non-filtered network interfaces that have a valid MAC address
    in the API response. (LP: #2052834)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Mon, 29 Jul 2024 12:25:04 +0000

landscape-client (23.02-0ubuntu1~22.04.3) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper: fix 'cores' variable to CORES in message-
    of-the-day load threshold calculation (LP: #2066983)

 -- Spencer Runde <spencer.runde@canonical.com>  Tue, 28 May 2024 14:19:00 -0500

landscape-client (23.02-0ubuntu1~22.04.2) jammy; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 14 Feb 2024 15:34:10 -0800

landscape-client (23.02-0ubuntu1~22.04.1) jammy; urgency=medium

  * Backporting release 23.02 for SRU (LP: #2006402):
    - Service is no longer stopped on upgrade (LP: #2027613)

 -- Mitch Burton <mitch.burton@canonical.com>  Mon, 14 Aug 2023 19:50:19 +0000

landscape-client (23.02-0ubuntu1) lunar; urgency=medium

  * New upstream release 23.02:
    - Preventing the generation of large messages and logs that can overwhelm
      Landscape Server (LP: #1995775)
    - Improved MOTD slowdown on machines with many tap network interfaces
      (LP: #2006396)
    - No longer using deprecated apt-key when storing trusted GPG keys
      (LP: #1973202)
    - Fixed issue recognising Parallels VMs as Virtual Machine clients
      (LP: #1827909)
    - Fixes for incorrect logfile rotation config (LP: #1968189)
    - Client-side backoff handling to moderate traffic to Landscape Server
      during high load (LP: #1947399)
    - Avoid sending empty messages when catching up to expected next message
      (LP: #1917540)
    - --is-registered CLI option to quickly check if client is registered
      (LP: #1912516)
    - Can now report Ubuntu Pro attachment information if the version of
      Landscape Server it is registered to supports this (LP: #2006401)
    - Packages installed as dependencies as part of package profiles are now
      appropriately autoremovable (LP: #1878957)
    - Registration timeouts give an error instead of timing out (LP: #1889464)
    - RHEV hypervisor VMs are now recognized as virtual machines (LP: #1884116)
    - Doing a Landscape-driven release upgrade from a release running python 2
      to one running python 3 no longer hangs forever (LP: #1943291)

 -- Mitch Burton <mitch.burton@canonical.com>  Wed, 08 Feb 2023 10:23:31 -0800

landscape-client (19.12-0ubuntu13) jammy; urgency=medium

  * d/landscape-sysinfo.wrapper, d/landscape-common.postrm: avoid too
    frequent expensive operations (LP: #1893716)
    - use a cache file and refresh it only once per minute
    - use a single printf to format output
    - if the former info was useful and we'd replace it with "sorry, load to
      high" skip that update
    - remove the cache file on purge

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Mar 2022 12:32:38 +0200

landscape-client (19.12-0ubuntu12) jammy; urgency=medium

  * d/p/lp1903776-release-upgrade.patch (LP: #1903776)
    - Use /etc/apt/trusted.gpg.d for validating upgrade-tool signature.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 09 Mar 2022 11:02:22 -0500

landscape-client (19.12-0ubuntu11) jammy; urgency=medium

  * debian/patches/1962539_twisted_py3.patch:
    Fix obsolete imports on jammy. (LP: #1962539)

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 02 Mar 2022 18:29:37 -0500

landscape-client (19.12-0ubuntu10) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:32:25 +0200

landscape-client (19.12-0ubuntu9.1) hirsute; urgency=medium

  * Replace deprecated tostring() call with tobytes(). (LP: #1911050)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Apr 2021 14:59:38 -0700

landscape-client (19.12-0ubuntu9) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:44:11 +0100

landscape-client (19.12-0ubuntu8) hirsute; urgency=medium

  * d/p/0003-clean-publisher-shutdown.patch:
    Let publisher services shutdown cleanly (LP: #1870087)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 01 Mar 2021 21:00:40 -0500

landscape-client (19.12-0ubuntu7) hirsute; urgency=medium

  * Switch from depreated base64.decodestring to base64.decodebytes to fix
    FTBFS with python3.9.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Nov 2020 10:35:48 +0000

landscape-client (19.12-0ubuntu6) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:52 +0100

landscape-client (19.12-0ubuntu5) groovy; urgency=medium

  * d/landscape-client.service (LP: #1870087)
    - Set KillMode on service to avoid killing dpkg


=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Landscape Team <landscape-team@canonical.com>
-Build-Depends: debhelper (>= 12), po-debconf, libdistro-info-perl,
+Build-Depends: debhelper-compat (= 12), po-debconf, libdistro-info-perl,
                dh-python, python3-dev, python3-distutils-extra,
-               lsb-release, gawk, dh-systemd (>= 1.3), net-tools,
+               lsb-release, gawk, net-tools,
                python3-apt, python3-twisted, python3-configobj
 Standards-Version: 4.4.0
 Homepage: https://github.com/CanonicalLtd/landscape-client

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/landscape-client-$1\.tar\.gz/ \
  https://github.com/CanonicalLtd/landscape-client/tags .*/?(\d{2}\.\d.\d)\.tar\.gz

## landscape-client 23.08

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,14 @@
 TXT2MAN ?= txt2man
 PYTHON2 ?= python2
 PYTHON3 ?= python3
+SNAPCRAFT = SNAPCRAFT_BUILD_INFO=1 snapcraft
 TRIAL ?= -m twisted.trial
 TRIAL_ARGS ?=
+
+# PEP8 rules ignored:
+# W503 https://www.flake8rules.com/rules/W503.html
+# E203 Whitespace before ':' (enforced by Black)
+PEP8_IGNORED = W503,E203
 
 .PHONY: help
 help:  ## Print help about available targets
@@ -15,11 +21,15 @@
 
 .PHONY: depends2
 depends2:
-	sudo apt-get -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces python-pycurl
+	sudo apt-get -y install python-twisted-core python-distutils-extra python-mock python-configobj python-netifaces python-pycurl python-pip
+	pip install pre-commit
+	pre-commit install
 
 .PHONY: depends3
 depends3:
-	sudo apt-get -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces python3-pycurl
+	sudo apt-get -y install python3-twisted python3-distutils-extra python3-mock python3-configobj python3-netifaces python3-pycurl python3-pip
+	pip3 install pre-commit
+	pre-commit install
 
 all: build
 
@@ -56,12 +66,14 @@
 
 .PHONY: lint
 lint:
-	$(PYTHON3) -m flake8 --ignore E24,E121,E123,E125,E126,E221,E226,E266,E704,E265,W504 \
-		`find landscape -name \*.py`
+	$(PYTHON3) -m flake8 --ignore $(PEP8_IGNORED) `find landscape -name \*.py`
 
 .PHONY: pyflakes
 pyflakes:
 	-pyflakes `find landscape -name \*.py`
+
+pre-commit:
+	-pre-commit run -a
 
 clean:
 	-find landscape -name __pycache__ -exec rm -rf {} \;
@@ -115,6 +127,35 @@
 etags:
 	-etags --languages=python -R .
 
+snap-install:
+	sudo snap install --devmode landscape-client_0.1_amd64.snap
+.PHONY: snap-install
+
+snap-remote-build:
+	snapcraft remote-build
+.PHONY: snap-remote-build
+
+snap-remove:
+	sudo snap remove --purge landscape-client
+.PHONY: snap-remove
+
+snap-shell: snap-install
+	sudo snap run --shell landscape-client.landscape-client
+.PHONY: snap-shell
+
+snap-debug:
+	$(SNAPCRAFT) -v --debug
+.PHONY: snap-debug
+
+snap-clean: snap-remove
+	$(SNAPCRAFT) clean
+	-rm landscape-client_0.1_amd64.snap
+.PHONY: snap-clean
+
+snap:
+	$(SNAPCRAFT)
+.PHONY: snap
+
 include Makefile.packaging
 
 .DEFAULT_GOAL := help

=== debian/changelog ===
landscape-client (23.08-0ubuntu4) noble; urgency=medium

  * d/p/0003-fix-cpuinfo-and-tests.patch: fix ARM and RISCV cpuinfo parsing;
    fix environment var-modifying tests, increase timeout on tests that can
    be slow on these arches (LP: #2046620).

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 04 Jan 2023 17:06:26 -0800

landscape-client (23.08-0ubuntu3) noble; urgency=medium

  * d/p/0001-start-service-during-config.patch: fix landscape-config does not
    start landscape-client service (LP: #2040189)
  * d/rules: avoid stopping services on upgrade (LP: #2027613)
  * Re-enable build-time test suite (LP: #2044181)
    - d/rules: enable test suite during build
    - d/control: build-depend on python3-pycurl, python3-netifaces,
        python3-yaml, ubuntu-advantage-tools, locales-all
    - d/p/0002-fix-broken-build-tests.patch: add mocks to snapd-related tests;
        use existing directory if HOME does not exist
  * d/landscape-sysinfo.wrapper: fix handle using cache when permissions allow
    (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Tue, 28 Nov 2023 11:40:17 -0800

landscape-client (23.08-0ubuntu2) noble; urgency=medium

  * d/landscape-common.postint: ensure sysinfo cache file exists and is globally
    read-write (LP: #2040924)

 -- Mitch Burton <mitch.burton@canonical.com>  Thu, 23 Nov 2023 14:28:14 -0800

landscape-client (23.08-0ubuntu1) mantic; urgency=medium

  * New upstream release 23.08
    - Restructure landscape-config wizard (LP: #2031673)
    - Add SnapMonitor, SnapManager, and related machinery (LP: #2031682)
    - Limit message data directory size (LP: #2004591)
    - Add zfs and btrfs to stable fs-lists (LP: #1499104)
    - Test for broken control file (LP: #1813442)
    - Config man page and help info fixes (LP: #1662222)
    - Removed unnecesary select to the database (LP: #1994951)
    - Last apt-key removal (LP: #1990435)
    - Added a logging level check to provide a better error (LP: #2027521) 
    - Broker is able to bootstrap the landscape-client folder (LP: #1868730)
    - Changed gpg file name to be less generic (LP: #2008432)
    - Improve Dependency data is read from the deb packages (LP: #1813442)
    - Fix error in swift plugin (LP: #2031674)
    - Repository profiles do not overwrite all configurations (LP: #2031680)
    - Remove old plugins (LP: #1989968)
    - Send ubuntu pro reboot output (LP: #2031684)

 -- Kevin Nasto <kevin.nasto@canonical.com>  Thu, 17 Aug 2023 13:41:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
 Build-Depends: debhelper-compat (= 12), po-debconf, libdistro-info-perl,
                dh-python, python3-dev, python3-distutils-extra,
                lsb-release, gawk, net-tools,
-               python3-apt, python3-twisted, python3-configobj
+               python3-apt, python3-twisted, python3-configobj,
+               python3-pycurl, python3-netifaces, python3-yaml,
+               ubuntu-advantage-tools, locales-all
 Standards-Version: 4.4.0
 Homepage: https://github.com/CanonicalLtd/landscape-client

=== debian/rules ===
#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=.git
export DH_VERBOSE = 1

package = landscape-client
root_dir = debian/tmp
SHAREDIR = /usr/share/landscape
LIBDIR = /usr/lib/landscape

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	sed -i -e "s/^DEBIAN_REVISION = \"\"/DEBIAN_REVISION = \"-$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]*)-(.*),\2, p')\"/g" landscape/__init__.py
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	make -C apt-update
	install -D -o root -g root -m 755 debian/landscape-sysinfo.wrapper $(CURDIR)/$(root_dir)$(SHAREDIR)/landscape-sysinfo.wrapper
	install -D -o root -g root -m 755 apt-update/apt-update $(CURDIR)/$(root_dir)$(LIBDIR)/apt-update

override_dh_installsystemd:
	dh_installsystemd

override_dh_auto_test:
	HOME=$(shell mktemp -d) && make check3
